Description

Associated revisions

Revision 24 - 01/28/2017 02:55 AM - lmurphey

Adding ping command

Reference #1694

Revision 25 - 01/28/2017 08:11 PM - lmurphey

Adding parsing of ping output

Reference #1694

Revision 27 - 01/28/2017 08:21 PM - lmurphey

Making output of pingparser ordered

Reference #1694

History

#1 - 01/25/2017 05:36 AM - Luke Murphey

- Target version set to 0.5

#2 - 01/28/2017 01:01 AM - Luke Murphey

Using built-in commands:

http://stackoverflow.com/questions/2953462/pinging-servers-in-python

http://www.opentechguides.com/how-to/article/python/57/python-ping-subnet.html

Using raw sockets and pure python:

https://pypi.python.org/pypi/python-ping/2011.10.17.376a019

https://www.g-loaded.eu/2009/10/30/python-ping/

https://pypi.python.org/pypi/pyping/

https://pypi.python.org/pypi/ping/0.1
#3 - 01/28/2017 02:32 AM - Luke Murphey

This works:

subprocess.check_output(["ping", "-c", "1", "10.0.0.6"])

#4 - 01/28/2017 02:52 AM - Luke Murphey

Have search command written. I need to parse the following:

host

packets transmitted

packets received

packet loss

RTT for each request

#5 - 01/28/2017 06:51 AM - Luke Murphey

sourcetype=ping | rex field=_raw " time=(?P<rtt>[^ ]+)"

#6 - 01/28/2017 07:08 PM - Luke Murphey

https://pypi.python.org/pypi/pingparsing/0.2.5

https://github.com/thombashi/pingparsing

http://pingparsing.readthedocs.io/en/latest/pages/usage/index.html#parsing-ping-command-output

#7 - 01/28/2017 07:09 PM - Luke Murphey

Based on http://pingparsing.readthedocs.io/en/latest/pages/usage/index.html#parsing-ping-command-output, it appears that parsing may not work on

non-English locales.

#8 - 01/28/2017 07:22 PM - Luke Murphey

Using:

six-1.10.0

pyparsing-2.1.10

DataProperty 0.16.0 (https://github.com/thombashi/DataProperty/releases)

#9 - 01/28/2017 07:22 PM - Luke Murphey

DataProperty has a bunch of deps including pytz https://github.com/thombashi/DataProperty#dependencies

#10 - 01/28/2017 07:35 PM - Luke Murphey

pingparsing doesn't handle mac apparently.

#11 - 01/28/2017 07:56 PM - Luke Murphey

Using this one now: https://github.com/ssteinerx/pingparser/blob/master/pingparser.py
#12 - 01/28/2017 08:22 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#13 - 01/28/2017 08:22 PM - Luke Murphey

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

#14 - 01/28/2017 08:22 PM - Luke Murphey

Need to test on Windows and Unix

#15 - 01/29/2017 05:57 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

05/04/2024 3/3

http://www.tcpdf.org

